Home » gem » Rails5.1 jquery-railsを導入

Rails5.1 jquery-railsを導入

以前のruby on railsではjqueryがデフォルトとして入っていたのですが、
rails5系から自主的にjqueryを導入しなければならなくなりました。

jqueryをインストール

Gemfileにgemを追加します。

gem 'jquery-rails', '~> 4.3', '>= 4.3.1'

bundle でインストールします。

bundle install

jquery-railsの設定

application.jsにjquery-railsの設定をします。

//= require jquery
//= require jquery_ujs

この設定をすればrails5の環境でjqueryが使用できるとおもいます。

追記

今後ruby on railsがアップデートで、
jqueryの需要が高まれば、
デフォルトとして使えるようになっていくんではないかとおもいます。

, , ,

コメントを残す

%d人のブロガーが「いいね」をつけました。